QGIS Application - Bug report #1642
v.to.db GRASS tool interface problem
2009-04-20 05:38 AM - mvizzari -

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11702
Description

the v.to.db GRASS tool interface of qGIS when activated doesn't find the key column and has not the parameter of the column to be
updated.

Thanks a lot for your work!!

History

#1 - 2009-08-11 05:32 AM - Paolo Cavallini

It does show the column list, but it does not update it if the module is already opened when a layer is loaded. To check, close the module, load a layer and

see if you can see the list of columns.

However, | found another problem: the module does not work if you want to update several columns, as it happens for X.Y coordinates (this option requires

two columns, but the module can only add one):

v.to.db map=boundary_county@user1 layer=1 option=coor units=meters columns=Z_MEAN

%, This option requires at least two columns

#2 - 2009-08-11 06:57 AM - Lorenzo Masini

- Resolution set to fixed

- Status changed from Open to Closed

Fixed the attribute table update issue in commit:4fe683b3 (SVN r11344).

For the multiple input issue, open an other ticket.

#3 - 2009-08-11 12:01 PM - Giovanni Manghi

Replying to [comment:3 rugginoso]:

For the multiple input issue, open an other ticket.

done

http://trac.osgeo.org/qgis/ticket/1867

2025-04-27 12



http://trac.osgeo.org/qgis/ticket/1867

#4 - 2009-08-11 11:58 PM - Paolo Cavallini
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

#5 - 2009-08-11 11:58 PM - Paolo Cavallini
- Status changed from Feedback to Open

#6 - 2009-08-11 11:59 PM - Paolo Cavallini

- Resolution set to fixed
- Status changed from Open to Closed
